[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TContainedAction.HasParent

Indicates if a value has been assigned to the property with the parent component for the class instance.

## Declaration

Source position: actnlist.pas line 47

`public function TContainedAction.HasParent: Boolean; override;`

## Function result

True when the parent component has been assigned.

## Description

HasParent is an overridden method in TContainedAction. It checks for an assigned value in the ActionList property, and sets the return value to True when assigned. Otherwise, the inherited method is called to get the return value.

## See also

TContainedAction.ActionList |  | The ActionList where the action is stored, and its parent component.
TComponent.HasParent